var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8cc.html#aa336641e8fe620e1e8f7d60f7d7b73ae",
"IdStringType_8h.html#a8dd883b61694d6552c0f86e25a5ef0df",
"MediaCIFS_8cc_source.html",
"ParseDef_8cc.html#adca1c983a98dba734ec82a49766ac278",
"PoolQuery_8h.html",
"RepoType_8cc.html",
"SerialNumber_8cc.html#a233f56892f29a04c788e57fd19ac7fb7",
"String_8h.html#a4313b04d7d0ee8c816fd201f3415aae6",
"UrlUtils_8h.html#a8de05190510c0031660746e1768a5a40",
"classzypp_1_1Arch.html#aae9863972e7ba2b9a45e04040a5ca986",
"classzypp_1_1Capability.html#adc2febdbaaf5ac705b846a4fa52553e7",
"classzypp_1_1Date.html#a9f4682e9f781aeb6297560d404ec3cd4",
"classzypp_1_1Fetcher_1_1Impl.html#a0ff41788da3f0214612354eecf192d4a",
"classzypp_1_1IdStringType.html#ade64242196383f13ba9054e85f82c3cb",
"classzypp_1_1MediaSetAccess.html#a224f7707e0900a749c028549fedf6758",
"classzypp_1_1PluginFrame.html#a41d2cebe9ca0468cf408ab63dc570572",
"classzypp_1_1PoolQueryResult.html#aefdfadea1a2c50f6ffafb3aa6dd7f1c3",
"classzypp_1_1RepoInfo.html#aaca08148957e7325190e0f45e1af445e",
"classzypp_1_1ResPool.html#a4c786c8d13c045dc8fb5ed693c5d5773",
"classzypp_1_1ResStatus.html#aead7fd8dfc2c3059d3cef954f33323b4",
"classzypp_1_1StrMatcher.html#a6c2d426f6186c3b034a42d35ef45fc8f",
"classzypp_1_1ZConfig.html#af584572368570f50cd9be44897fa0f14",
"classzypp_1_1base_1_1Flags.html#a8c046068428f3228e1636adfd440e590",
"classzypp_1_1detail_1_1PoolQueryIterator.html#afe0c3944f36ceeafc9c3a83456a5ae27",
"classzypp_1_1filesystem_1_1StatMode.html#ae34c1b1ef9f8b981911772bf828834cd",
"classzypp_1_1media_1_1MediaBadCAException.html#a2aee01d1b514b4becbd89c200963634b",
"classzypp_1_1media_1_1MediaHandler.html#a85f9e8bab5a1e3fcbc61e0436aa82f14",
"classzypp_1_1media_1_1MediaUnauthorizedException.html#a4f08dc8cf37c2f85925dcab556add737",
"classzypp_1_1media_1_1multifetchworker.html#a8f52e3ae25a5ced70f6eacc0e957fcec",
"classzypp_1_1pool_1_1ByIdent.html#a6604489cf82d4552e62c535c1a728878",
"classzypp_1_1repo_1_1ServiceNoAliasException.html#a391660b78fcdb517357e6d112fa743b7",
"classzypp_1_1sat_1_1Map.html#a862b7e23a654b3dde57d1c4b0d84903c",
"classzypp_1_1sat_1_1Solvable.html#a26473278dc4ab0dda1529e5b6dd0467a",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a85a3151cea1fa62a634f84bba5af86e5",
"classzypp_1_1syscontent_1_1Writer.html#aacebbcc15d17795ee72dfb028e120134",
"classzypp_1_1target_1_1hal_1_1HalContext.html#abeda45813cb6f037bf9af3d83d739980",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#a4f0c96731e803ea66d95bb229dc8c49a",
"classzypp_1_1ui_1_1Selectable.html#a955ff8613b195a0ec8e5e59b7b8b115b",
"classzypp_1_1xml_1_1ParseDefConsumeCallback.html#a64e301f8c9b4bf1b346f87ca3a109414",
"functions_vars_b.html",
"group__ZYPP__THROW.html#ga0a6d828c3e5802c5ca1ab6f5a86e9fc1",
"pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl",
"structzypp_1_1DiskUsageCounter_1_1MountPoint.html",
"structzypp_1_1Option.html#aa1cdf6e7bcbebea330375a9007c66df8",
"structzypp_1_1Rel.html#a587244d419d5bde5fa9e7eb2a3c39468",
"structzypp_1_1ServiceInfo_1_1Impl.html#a7988ed4928c25908a64007e060f2f8bd",
"structzypp_1_1debug_1_1Tm.html#ac830eeb6f489ca0cb3dc9e12786614db",
"structzypp_1_1media_1_1MediaChangeReport.html#a614f57cae9027f2c81c31c3ff7386e3fa4723cdaa4c1e5853ea2388b4d245f986",
"structzypp_1_1repo_1_1RepoReport.html#a1f5ca5ebc3eb035af2d929ef2712a3aaa71344f3ead3296d61e1a73045d6a7ce0",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#a405850897a6b0223bf43593a2509d3cc",
"structzypp_1_1ui_1_1SelectableTraits.html#a19a3aeb02d15c93ad574f3f7050b9744",
"structzypp_1_1xmlout_1_1Node.html#ada5fabcff97456fbd3bf4bab84f76470"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';